| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Public Attributes | List of all members
Ogre::Log Class Reference
Core » General

More...

`#include <OgreLog.h>`

Inheritance diagram for Ogre::Log:
[legend]

## Classes
class | Stream
| Stream object which targets a log. More...

## Public Member Functions
| Log (const String &name, bool debugOutput=true, bool suppressFileOutput=false)
| More...
| ~Log ()
| More...
void | addListener (LogListener *listener)
| More...
LoggingLevel | getLogDetail () const
| Gets the level of the log detail. More...
const String & | getName () const
| Return the name of the log. More...
bool | isDebugOutputEnabled () const
| Get whether debug output is enabled for this log. More...
bool | isFileOutputSuppressed () const
| Get whether file output is suppressed for this log. More...
bool | isTimeStampEnabled () const
| Get whether time stamps are printed for this log. More...
void | logMessage (const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),. More...
void | removeListener (LogListener *listener)
| More...
void | setDebugOutputEnabled (bool debugOutput)
| More...
void | setLogDetail (LoggingLevel ll)
| More...
void | setTimeStampEnabled (bool timeStamp)
| More...
Stream | stream (LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Get a stream object targeting this log. More...

## Public Attributes
| OGRE_AUTO_MUTEX

## Detailed Description

Remarks
  Log class for writing debug/log data to files.

Note
  Should not be used directly, but trough the LogManager class.

## Constructor & Destructor Documentation

## ◆ Log()

Ogre::Log::Log | ( | const String & | name,
|  | bool | debugOutput = `true`,
|  | bool | suppressFileOutput = `false`
| ) |  |

Remarks
  Usual constructor - called by LogManager.

## ◆ ~Log()

Ogre::Log::~Log | ( |  | ) |

Remarks
  Default destructor.

## Member Function Documentation

## ◆ getName()

const String& Ogre::Log::getName | ( | void |  | ) | const
| inline

Return the name of the log.

## ◆ isDebugOutputEnabled()

bool Ogre::Log::isDebugOutputEnabled | ( |  | ) | const
| inline

Get whether debug output is enabled for this log.

## ◆ isFileOutputSuppressed()

bool Ogre::Log::isFileOutputSuppressed | ( |  | ) | const
| inline

Get whether file output is suppressed for this log.

## ◆ isTimeStampEnabled()

bool Ogre::Log::isTimeStampEnabled | ( |  | ) | const
| inline

Get whether time stamps are printed for this log.

## ◆ logMessage()

void Ogre::Log::logMessage | ( | const String & | message,
|  | LogMessageLevel | lml = `LML_NORMAL`,
|  | bool | maskDebug = `false`
| ) |  |

Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.

Referenced by Ogre::Log::Stream::operator<<(), and Ogre::Log::Stream::~Stream().

## ◆ stream()

Stream Ogre::Log::stream | ( | LogMessageLevel | lml = `LML_NORMAL`,
|  | bool | maskDebug = `false`
| ) |  |

Get a stream object targeting this log.

## ◆ setDebugOutputEnabled()

void Ogre::Log::setDebugOutputEnabled | ( | bool | debugOutput | ) |

Remarks
  Enable or disable outputting log messages to the debugger.

## ◆ setLogDetail()

void Ogre::Log::setLogDetail | ( | LoggingLevel | ll | ) |

Remarks
  Sets the level of the log detail.

## ◆ setTimeStampEnabled()

void Ogre::Log::setTimeStampEnabled | ( | bool | timeStamp | ) |

Remarks
  Enable or disable time stamps.

## ◆ getLogDetail()

LoggingLevel Ogre::Log::getLogDetail | ( |  | ) | const
| inline

Gets the level of the log detail.

## ◆ addListener()

void Ogre::Log::addListener | ( | LogListener * | listener | ) |

Remarks
  Register a listener to this log

Parameters

  listener | A valid listener derived class

## ◆ removeListener()

void Ogre::Log::removeListener | ( | LogListener * | listener | ) |

Remarks
  Unregister a listener from this log

Parameters

  listener | A valid listener derived class

## Member Data Documentation

## ◆ OGRE_AUTO_MUTEX

Ogre::Log::OGRE_AUTO_MUTEX

The documentation for this class was generated from the following file:

- OgreLog.h